package Graphen;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class Knote {
	private String name;
	private ArrayList<Kanten> kantenList  = new ArrayList<>();

	
	Knote(String name){
		this.name = name;
	}
	
	//add kante zu this (knote)
	public void addKante(Kanten k) {
		kantenList.add(k);
	}

	
	public String getName() {
		return name;
	}
	

	public ArrayList<Kanten> getKantenList() {
		return kantenList;
	}
		
	public void getPartner() {
		ArrayList<Kanten> merker = getKantenList();
		if (merker == null)
			return ;
		
		ArrayList<Knote>  verbindeteKnoten = new ArrayList<>();
		for (Kanten m : merker)
			verbindeteKnoten.add(m.getPartner(this));
		
		for (Knote k: verbindeteKnoten)
			System.out.println(this.name + " verbindet mit " + k.getName());
	}
	
}
